/**Begin D:\PDM_UPGRADE\PDM1\HPFS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HPFS_MAPPEDFIELD' AND KSQL_COL_NAME ='FSOURCEFIELDTAG')
 ALTER TABLE T_HPFS_MAPPEDFIELD ADD (FSOURCEFIELDTAG VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HPFS_MAPPEDFIELD' AND KSQL_COL_NAME ='FTARGETFIELDNEWID')
 ALTER TABLE T_HPFS_MAPPEDFIELD ADD (FTARGETFIELDNEWID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HPFS_MAPPEDFIELD' AND KSQL_COL_NAME ='FLOADPERSONINFO')
 ALTER TABLE T_HPFS_MAPPEDFIELD ADD (FLOADPERSONINFO CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HPFS_MAPPEDFIELD' AND KSQL_COL_NAME ='FWRITEPERSONINFO')
 ALTER TABLE T_HPFS_MAPPEDFIELD ADD (FWRITEPERSONINFO CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HPFS_MAPPEDFIELD' AND KSQL_COL_NAME ='FISPKID')
 ALTER TABLE T_HPFS_MAPPEDFIELD ADD (FISPKID VARCHAR(2) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HPFS_FILEMAPMANAGER' AND KSQL_COL_NAME ='FPERSONNELBUSINESSBILLID')
 ALTER TABLE T_HPFS_FILEMAPMANAGER ADD (FPERSONNELBUSINESSBILLID VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HPFS_MAPPEDTABLE' AND KSQL_COL_NAME ='FSRCENTRYISSYSPRESET')
 ALTER TABLE T_HPFS_MAPPEDTABLE ADD (FSRCENTRYISSYSPRESET VARCHAR(2) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HPFS_MAPPEDTABLE' AND KSQL_COL_NAME ='FBILLINFOGROUP')
 ALTER TABLE T_HPFS_MAPPEDTABLE ADD (FBILLINFOGROUP NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HPFS_MAPPEDTABLE_L')
 CREATE TABLE T_HPFS_MAPPEDTABLE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLINFOGROUP NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HPFS_PERSONFIELD')
 CREATE TABLE T_HPFS_PERSONFIELD (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTARGETENTITYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HPFS_PERSONFIELD_L')
 CREATE TABLE T_HPFS_PERSONFIELD_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FFIELDTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\HPFS_table.sql **/
