/**Begin D:\PDM_UPGRADE\PDM1\HPFS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HPFS_MAPPEDTABLEC')
 CREATE TABLE T_HPFS_MAPPEDTABLEC (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSOURCEENTITYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FTARGETENTITYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEPRIKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FTARGETPRIKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FHISSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEENTRY VARCHAR(100) DEFAULT ' ' NOT NULL,
FSOURCEENTRYNAME VARCHAR(510) DEFAULT '  ' NOT NULL,
FPAIRTYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCENTRYISSYSPRESET VARCHAR(2) DEFAULT '0' NOT NULL,
FBILLINFOGROUP NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HPFS_MAPPEDTABLEC_L')
 CREATE TABLE T_HPFS_MAPPEDTABLEC_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLINFOGROUP NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HPFS_MAPPEDFIELDC')
 CREATE TABLE T_HPFS_MAPPEDFIELDC (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSOURCEFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FTARGETFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEFIELDTAG VARCHAR(50) DEFAULT ' ' NOT NULL,
FTARGETFIELDNEWID BIGINT DEFAULT 0 NOT NULL,
FLOADPERSONINFO CHAR(1) DEFAULT ' ' NOT NULL,
FWRITEPERSONINFO CHAR(1) DEFAULT ' ' NOT NULL,
FISPKID VARCHAR(2) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\HPFS_table.sql **/
